package com.jdc.jdcproject.entity.VO;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;
@Data
public class DicekeTotalMiningVo {

    private static final long serialVersionUID = 1L;

    @Schema(description = "平盘名称")
    private String plateRange;

    @Schema(description = "铲号")
    private String shovelCode;

    @Schema(description = "备注")
    private String beizhu;

    @Schema(description = "计量单位")
    private String UOM;

    @Schema(description = "出矿量（吨）")
    private Double OreYield;

    @Schema(description = "剥离量（吨）")
    private Double strippingTon;

    @Schema(description = "采剥总量（吨）")
    private Double strippingAndTotalMiningTon;

    @Schema(description = "月份")
    private LocalDate month;

    public DicekeTotalMiningVo(String plateRange,
                               String shovelCode,
                               String beizhu,
                               String UOM,
                               Double oreYield,
                               Double strippingTon,
                               Double strippingAndTotalMiningTon,
                               LocalDate month) {
        this.plateRange = plateRange;
        this.shovelCode = shovelCode;
        this.beizhu = beizhu;
        this.UOM = UOM;
        OreYield = oreYield;
        this.strippingTon = strippingTon;
        this.strippingAndTotalMiningTon = strippingAndTotalMiningTon;
        this.month = month;
    }

    @Override
    public String toString() {
        return "DicekeTotalMiningVo{" +
                "plateRange='" + plateRange + '\'' +
                ", shovelCode='" + shovelCode + '\'' +
                ", beizhu='" + beizhu + '\'' +
                ", UOM='" + UOM + '\'' +
                ", OreYield=" + OreYield +
                ", strippingTon=" + strippingTon +
                ", strippingAndTotalMiningTon=" + strippingAndTotalMiningTon +
                ", month=" + month +
                '}';
    }
}
